This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 600501 - repodiff seems to not handle nonascii characters in a package summary
repodiff seems to not handle nonascii characters in a package summary
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 16:40 EDT by Bruno Wolff III
Modified: 2014-01-21 18:15 EST (History)
4 users (show)

See Also:
Fixed In Version: yum-utils-1.1.27-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 16:51:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2010-06-04 16:40:49 EDT
Description of problem:
I was running repodiff to compare f12 against f13 and got the following traceback:
New package iwl5150-firmware
Traceback (most recent call last):
  File "/usr/bin/repodiff", line 272, in <module>
    main(sys.argv[1:])
  File "/usr/bin/repodiff", line 199, in main
    print '        %s' % pkg.summary
  File "/usr/lib/python2.6/codecs.py", line 351, in write
    data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 26: ordinal not in range(128)

Version-Release number of selected component (if applicable):
yum-utils-1.1.26-7.fc13.noarch

How reproducible:
Seem 100%

Steps to Reproduce:
repodiff "--old=http://mirrors.kernel.org/fedora/releases/12/Everything/source/SRPMS/" "--new=http://mirrors.kernel.org/fedora/releases/13/Everything/source/SRPMS/"


Additional info:

Name       : iwl5150-firmware
Arch       : noarch
Version    : 8.24.2.2
Release    : 1.fc13
Size       : 121 k
Repo       : fedora
Summary    : Firmware for Intel® Wireless 5150 A/G/N network adaptors
URL        : http://intellinuxwireless.org/
License    : Redistributable, no modification permitted
Description: This package contains the firmware required by the iwlagn driver
           : for Linux to support the iwl5150 hardware.  Usage of the firmware
           : is subject to the terms and conditions contained inside the
           : provided LICENSE file. Please read it carefully.
Comment 1 seth vidal 2010-06-04 16:51:02 EDT
just needed a 'to_unicode()' around the summary output.

fixed in upstream.


thanks
Comment 2 Fedora Update System 2010-06-06 09:44:04 EDT
yum-utils-1.1.27-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-utils-1.1.27-1.fc13
Comment 3 Fedora Update System 2010-06-14 13:19:35 EDT
yum-utils-1.1.27-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.